Subject: [netconf] Roman Danyliw's Discuss on draft-ietf-netconf-netconf-event-notifications-20: (with DISCUSS)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Wed, 15 May 2019 12:33:09 -0700

Roman Danyliw has entered the following ballot position for
draft-ietf-netconf-netconf-event-notifications-20: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-netconf-netconf-event-notifications/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

An easy to fix issue.

Section 8.  I agree with the brevity of this section as the more detailed
considerations can be found in [draft-ietf-netconf-subscribed-notifications].
[draft-ietf-netconf-subscribed-notifications] has a similar statement about
buggy subscribers, but also makes a SHOULD statement about operators monitoring
for odd behavior.  This text doesn’t include this monitoring recommendation but
does explicitly discuss terminating sessions.  Could the text in these two
sections please be reconciled. Perhaps with a reference such as:

“This document does not introduce additional Security Considerations for
dynamic subscriptions beyond those discussed in
[draft-ietf-netconf-subscribed-notifications].  In particular for NETCONF
subscribers …<use the current text> ”

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Wed, 15 May 2019 20:34:11 +0000

Hi Roman,

Thanks for the review.   A thought in-line...

> From: Roman Danyliw, May 15, 2019 3:33 PM
>
> buggy subscribers, but also makes a SHOULD statement about operators
> monitoring for odd behavior.  This text doesn’t include this monitoring
> recommendation but does explicitly discuss terminating sessions.  Could the text
> in these two sections please be reconciled. Perhaps with a reference such as:
> 
> dynamic subscriptions beyond those discussed in [draft-ietf-netconf-subscribed-
> notifications].  In particular for NETCONF subscribers …<use the current text> ”

I think what you are looking for is something like:
"This document does not introduce additional Security Considerations for dynamic subscriptions beyond those discussed in [draft-ietf-netconf-subscribed-notifications].  But there is one consideration worthy of more refinement based on the connection oriented nature of the NETCONF protocol.  Specifically, if a buggy or compromised NETCONF subscriber sends a number of "establish-subscription" requests, then these subscriptions accumulate and may use up system resources. In such a situation, subscriptions MAY be terminated by terminating the underlying NETCONF session... "

If this text works for you, I will add it in.

Eric

---

From: Roman Danyliw <[email-masked]>
Date: Wed, 15 May 2019 20:36:37 +0000

> -----Original Message-----
> From: Eric Voit (evoit) [mailto:[email-masked]]
> Sent: Wednesday, May 15, 2019 4:34 PM
> To: Roman Danyliw <[email-masked]>; The IESG <[email-masked]>
> Cc: [email-masked]; Kent Watsen
> <[email-masked]>; [email-masked]; [email-masked]
> Subject: RE: Roman Danyliw's Discuss on draft-ietf-netconf-netconf-event-
> notifications-20: (with DISCUSS)
> 
> Hi Roman,
> 
> > Section 8.  I agree with the brevity of this section as the more
> > detailed considerations can be found in [draft-ietf-netconf-subscribed-
> notifications].
> > [draft-ietf-netconf-subscribed-notifications] has a similar statement
> > about buggy subscribers, but also makes a SHOULD statement about
> > operators monitoring for odd behavior.  This text doesn’t include this
> > monitoring recommendation but does explicitly discuss terminating
> > sessions.  Could the text in these two sections please be reconciled.
> Perhaps with a reference such as:
> >
> > “This document does not introduce additional Security Considerations
> > for dynamic subscriptions beyond those discussed in
> > [draft-ietf-netconf-subscribed- notifications].  In particular for NETCONF
> "This document does not introduce additional Security Considerations for
> dynamic subscriptions beyond those discussed in [draft-ietf-netconf-
> subscribed-notifications].  But there is one consideration worthy of more
> refinement based on the connection oriented nature of the NETCONF
> protocol.  Specifically, if a buggy or compromised NETCONF subscriber sends
> a number of "establish-subscription" requests, then these subscriptions
> accumulate and may use up system resources. In such a situation,
> subscriptions MAY be terminated by terminating the underlying NETCONF
> session... "

Works for me (and better than what I proposed).  Thank you for this new text.

Roman

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Wed, 15 May 2019 20:54:38 +0000

Posted as v21.

> From: Roman Danyliw, May 15, 2019 4:37 PM
> 
> 
> > Cc: [email-masked]; Kent
> > Watsen <[email-masked]>; [email-masked];
> > [email-masked]
> > > [draft-ietf-netconf-subscribed-notifications] has a similar
> > > statement about buggy subscribers, but also makes a SHOULD statement
> > > about operators monitoring for odd behavior.  This text doesn’t
> > > include this monitoring recommendation but does explicitly discuss
> > > terminating sessions.  Could the text in these two sections please be
> reconciled.
> > "This document does not introduce additional Security Considerations
> > [draft-ietf-netconf- subscribed-notifications].  But there is one
> > consideration worthy of more refinement based on the connection
> > oriented nature of the NETCONF protocol.  Specifically, if a buggy or
> > compromised NETCONF subscriber sends a number of
> > "establish-subscription" requests, then these subscriptions accumulate
> > and may use up system resources. In such a situation, subscriptions
> > MAY be terminated by terminating the underlying NETCONF session... "
>